*     .
*
*        .
*
*       .
*
*          
*    .

*           
*   ,   

PARAMETERS tnRecAmount
IF TYPE('tnRecAmount')<>"N" OR tnRecAmount<1
	tnRecAmount=10
ENDIF

IF USED("curReport")=.T.
	USE IN curReport
ENDIF
IF USED("curSource")=.T.
	USE IN curSource
ENDIF

*  -,   2 
CREATE CURSOR curSource (GroupID I, RecordID I, NickName C(50), Price I)

LOCAL lnI
*  1
FOR m.lnI=1 TO tnRecAmount
	INSERT INTO curSource VALUES (1, m.lnI, "   "+LTRIM(STR(m.lnI))+"  1", 100*m.lnI)
ENDFOR

*  2
FOR m.lnI=1 TO tnRecAmount
	INSERT INTO curSource VALUES (2, m.lnI, "   "+LTRIM(STR(m.lnI))+"  2", 10*m.lnI)
ENDFOR

*         
*    ()
CREATE CURSOR curReport (GroupID I, RecordID I, NickName C(50), Price I, IsTitle L)

*      
INSERT INTO curReport VALUES (0, 0, "   ", 0, .T.)

*      
INSERT INTO curReport VALUES (1, 0, "   1", 0, .T.)

*         
*       
LOCAL SumGroup, SumAll
STORE 0 TO SumGroup, SumAll
select curSource 
SCAN FOR curSource.GroupID=1
	m.SumGroup = m.SumGroup + curSource.Price
	m.SumAll = m.SumAll + curSource.Price
	INSERT INTO curReport VALUES (curSource.GroupID, curSource.RecordID, curSource.NickName, curSource.Price, .F.)
ENDSCAN

*          
select curReport
LOCATE FOR GroupID=1 AND IsTitle=.T.
IF FOUND()
	REPLACE Price with m.SumGroup
ENDIF

*      
INSERT INTO curReport VALUES (2, 0, "   2", 0, .T.)

*         
*       
m.SumGroup=0
select curSource 
SCAN FOR curSource.GroupID=2
	m.SumGroup = m.SumGroup + curSource.Price
	m.SumAll = m.SumAll + curSource.Price
	INSERT INTO curReport VALUES (curSource.GroupID, curSource.RecordID, curSource.NickName, curSource.Price, .F.)
ENDSCAN

*          
select curReport
LOCATE FOR GroupID=2 AND IsTitle=.T.
IF FOUND()
	REPLACE Price with m.SumGroup
ENDIF

*          
select curReport
LOCATE FOR GroupID=0 AND IsTitle=.T.
IF FOUND()
	REPLACE Price with m.SumALL
ENDIF


*  
select curReport
REPORT FORM (Contents.NameFRX) NOCONSOLE PREVIEW
*   ,     FRX, 
*REPORT FORM (AllTrim(Contents.NameFRX)+'.FRX') NOCONSOLE PREVIEW

USE IN curReport
USE IN curSource