*!*	     -   "", 
*!*	     .

*!*	    ,         
*!*	  "Printing..." (  Run-Time , ..   
*!*	EXE,     "...").       
*!*	"Cancel",          .

*!*	,          
*!*	          .

*!*	        -     .
*!*	        -      
*!*	    .

*!*	 VFP     On Entry  Title,    
*!*	 On Exit  Summary.      .

*!*	 FoxPro2.x     ,     
*!*	      Title       Summary.

*!*	  ,        (,  
*!*	      )   -   
*!*	     .         
*!*	        .

*!*	,            
*!*	,      On Entry  Title.     
*!*	         ,   
*!*	    On Exit  Page Footer.

PARAMETERS tnRecAmount
IF TYPE('tnRecAmount')<>"N" OR tnRecAmount<1
	tnRecAmount=1000
ENDIF

IF USED("curReport")=.T.
	USE IN curReport
ENDIF

CREATE CURSOR curReport (RecordID I, NickName C(50))

LOCAL lnI
FOR m.lnI=1 TO m.tnRecAmount
	INSERT INTO curReport VALUES (m.lnI, "   "+LTRIM(STR(m.lnI)))
ENDFOR

PRIVATE llIsStartPrinting, llIsEndPrinting
llIsStartPrinting=.F.
llIsEndPrinting=.F.

*   
select curReport
REPORT FORM (Contents.NameFRX) NOCONSOLE TO PRINTER PROMPT PREVIEW
*   ,     FRX, 
*REPORT FORM (AllTrim(Contents.NameFRX)+'.FRX') NOCONSOLE TO PRINTER PROMPT PREVIEW
USE IN curReport

LOCAL lcMessageText
DO CASE
CASE m.llIsStartPrinting=.F.
	lcMessageText="      ."+chr(13)+;
				"   ."
CASE m.llIsEndPrinting=.F.
	lcMessageText="    ,"+chr(13)+;
				"        ."+chr(13)+;
				"    ,    ."
OTHERWISE
	lcMessageText="      "
ENDCASE

* ,  m.llIsStartPrinting=.F. AND m.llIsEndPrinting=.T.
*    ,    
*        ,     
* ,   

MessageBox(m.lcMessageText)

******************************************************************************
* ,       
*   

FUNCTION FixStartPrinting
IF WEXIST("Printing...")=.T. OR WEXIST("...")=.T.
    llIsStartPrinting=.T.
ENDIF
RETURN ""	&&  VFP -    
ENDFUNC

******************************************************************************
* ,       
*   

FUNCTION FixEndPrinting
IF WEXIST("Printing...")=.T. OR WEXIST("...")=.T.
    llIsEndPrinting=.T.
ENDIF
RETURN ""	&&  VFP -    
ENDFUNC